
TYPO3.Surf - Feature # 42055

Status: Resolved Priority: Should have
Author: Dennis Ahrens Category:
Created: 2012-10-16 Assigned To:
Updated: 2012-11-30 Due date:
Subject: Support git submodules inside git submodules
Description

I've set up an distribution using the v6.0 core and included the core as a submodule. When deploying with Surf the submodules of the
core were not initialized and updated.

It's possible to work around with the 'gitPostCheckoutCommands', but it would be nice if this will be supported by Surf directly.

Associated revisions
Revision 0f810a32 - 2012-11-30 14:19 - Tobias Liebig

[FEATURE] Support git submodules recursively

When including a git submodule, which itself includes some more submodules,
these are initialized.

Change-Id: If96fde68f508694b4e4b96accdec6767d1d53e5a
Resolves: #42055

History
#1 - 2012-11-07 09:46 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16244

#2 - 2012-11-30 13:05 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16886

#3 - 2012-11-30 14:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16244

#4 - 2012-11-30 14:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16244
#5 - 2012-11-30 16:30 - Tobias Liebig
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0f810a32b538353b8264a34541013e35e5b92df0.
